<%= form_tag teacher_subject_assistances_path(subject_id: @subject, group_id: @group),
             method: :post, remote: true do %>
  <table class="ui very basic selectable table form">
    <thead>
    <tr>
      <th>#</th>
      <th>Cédula</th>
      <th>Nombres y apellidos</th>
      <th>% de asistencia</th>
    </tr>
    </thead>
    <tbody >
    <% if @assistance_list.present? %>
      <% @assistance_list.each_with_index do |student, idx| %>
        <tr>
          <td><%= idx + 1 %></td>
          <td><%= student.student.identification_number.upcase %></td>
          <td><%= student.student.full_name.titleize %></td>
          <td><%= number_field_tag "[scores][#{student.id}][assistance_score]", student.assistance_score, in: 0...101 %></td>
        </tr>
      <% end %>
    <% else %>
      <tr>
        <td colspan="7">No hay alumnos en este grupo.</td>
      </tr>
    <% end %>
    </tbody>
  </table>

  <div class="ui one column stackable grid">
    <div class="column">
      <%= submit_tag 'Guardar asistencia', class: 'ui fluid green button' %>
    </div>
  </div>
<% end %>


